"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.concierge = void 0;
var concierge = function (payload, hooks, id, parent) {
    var processRead = hooks.processRead;
    var updateEventStream = hooks.updateEventStream;
    var thisPayload = (payload && payload[0]) || false;
    var command = (thisPayload && thisPayload[0] && thisPayload[0][0]) || null;
    var parameters = (thisPayload && thisPayload[0] && thisPayload[0][1]) || null;
    var parameterOne = (parameters && parameters[0]) || null;
    var parameterTwo = (parameters && parameters[1]) || null;
    if (id && (id === null || id === void 0 ? void 0 : id.paneId) && (id === null || id === void 0 ? void 0 : id.paneTitle) && updateEventStream)
        updateEventStream(Date.now(), {
            id: id.paneId,
            title: id.paneTitle,
            type: "Pane",
            verb: "CLICKED",
            parentId: id.id,
        });
    switch (command) {
        case "goto":
            switch (parameterOne) {
                case "home":
                    processRead("/", parameterOne, id === null || id === void 0 ? void 0 : id.id);
                    break;
                case "concierge":
                    processRead("/concierge/".concat(parameterTwo), parameterOne, id === null || id === void 0 ? void 0 : id.id);
                    break;
                case "context":
                    processRead("/context/".concat(parameterTwo), parameterOne, parent);
                    break;
                case "product":
                    processRead("/products/".concat(parameterTwo), parameterOne, id === null || id === void 0 ? void 0 : id.id);
                    break;
                case "storyFragment":
                    processRead(parameterTwo, parameterOne, id === null || id === void 0 ? void 0 : id.id);
                    break;
                case "anchor":
                    processRead("#", parameterTwo, id === null || id === void 0 ? void 0 : id.id);
                    break;
                case "url":
                    window.location.replace(parameterTwo);
                    break;
                default:
                    console.log("LispActionPayload misfire on goto", parameters);
            }
            break;
        default:
            console.log("LispActionPayload misfire", command, parameters);
            break;
    }
};
exports.concierge = concierge;
//# sourceMappingURL=concierge.js.map